/**
 * JS Document. 
 * @author Sandro Jordão.
 */	
function alterarInfo()
{
	// Dados da aba "Propriedades"
	var relatorio = $('#relatorioid').val();
	var nome 	  = $('#nome').val();
	var descricao = $('#descricao').val();
	var grupo 	  = $('#grupo').val();
	var refresh	  = $('#listaTimeRefresh').val();
	var visivel   = $("input[name='rdoDisponivel']:radio:checked").val();
	var subreport = $("input[name='rdoSubRelatorio']:radio:checked").val();
	var borda	  = ($("#exibirBorda").is(':checked')) ? 'S' : 'N';
	
	// Dados da aba "Permissões"
	var groupArray = new Array();
	$(".groups").each(function(){ groupArray.push($(this).val()); });
	var usersArray = new Array();
	$(".users").each(function(){ usersArray.push($(this).val()); });
	
	$('.msgErro').remove();

	var erro = 0;
	
	if(nome == '') 
	{
		$('#nome').after("<span class='msgErro'>Campo de preenchimento obrigatório.</span>");
		erro++;
	}
	
	if(grupo == '') 
	{
		$('#grupo').after("<span class='msgErro'>Campo de preenchimento obrigatório.</span>");
		erro++;
	}
	
	if (erro == 0) 
	{
		$("#btnVoltar").before('<span id="pesquisando"> <img src="' + basepath + 'www/imagem/loading.gif" align="absmiddle" /> Gravando, Por favor aguarde...&nbsp;&nbsp;&nbsp;</span>');

		$.post(basepath + "relatorio/updateReportInfo", {
			relatorio	   : relatorio,
			nome 		   : nome,
			descricao  	   : descricao,
			refresh		   : refresh,
			borda		   : borda,
			grupo		   : grupo,
			subrelatorio   : subreport,
			visivel		   : visivel,
			'groupArray[]' : groupArray,
			'usersArray[]' : usersArray
		}, function(data) {
			if(data == 1) 
			{
				jAlert("Relatório alterado com sucesso.", 'Alerta!', function(){ window.location.href = basepath + 'principal/relatorios'; });
			} 
			else 
			{
				jAlert("Não foi possível realizar a alteração do reletório!", 'Alerta!');
			}
			
			$("#pesquisando").remove();
		});
	}
	else
	{
		jAlert('Favor preencher todos os campos corretamente.', 'Alerta!', function() { return false; });
	}
	
	// alert(subreport);
}

function tipoRelatorio()
{
	var tipo = $("input[name='rdoSubRelatorio']:radio:checked").val();

	if(tipo == 'S')
	{
		// Esconde
		$("#lblGrupo, #comboGrupo, #lblDashboard, #comboDashboard, #lblRefresh, #comboRefresh, #trExibirBorda").fadeOut('fast');
		
		// Grupo do Sub-Relatorio
		$("#grupo").append('<option value="0" selected="selected"></option>');
		
		// Disponivel no dashboard
		$("#rdoVisivel3").attr("checked", true);
	} 
	else 
	{
		// Mostra
		$("#lblGrupo, #comboGrupo, #lblDashboard, #comboDashboard, #lblRefresh, #comboRefresh, #trExibirBorda").fadeIn('show');
		
		// Grupo do Sub-Relatorio
		$("#grupo option[value='0']").remove();
		
		// Disponivel no dashboard - Default
		$("#rdoVisivel1").attr("checked", true);
	}
	
	// Tempo de Atualização
	$("#listaTimeRefresh").val(0);
	
	// Borda no Relatório
	$("#exibirBorda").attr("checked", false);
}

function tipoRefresh()
{
	var visivel = $("input[name='rdoDisponivel']:radio:checked").val();
	
	if(visivel == 3)
	{
		// Esconde
		$("#lblRefresh, #comboRefresh, #trExibirBorda").fadeOut('fast');
		
		// Tempo de Atualização
		$("#listaTimeRefresh").val(0);
		
		// Borda no Relatório
		$("#exibirBorda").attr("checked", false);
	} 
	else 
	{
		// Mostra
		$("#lblRefresh, #comboRefresh, #trExibirBorda").fadeIn('show');
	}
}

function trocarAbaInfo()
{
	var aba = this.id;
	
	tabsInfo.removeClass('inDetail');
	$(tabsInfo[aba]).addClass('inDetail');
		
	divsInfo.hide();
	$(divsInfo[aba]).fadeIn('slow');
}

function voltar()
{
	window.location.href = basepath + 'principal/relatorios';
}

function initAlterar()
{
	var relatorio = $("#relatorioid").val();
	
	if(relatorio != '')
	{
		if($("input[name='rdoSubRelatorio']:radio:checked").val() == 'S')
		{
			$("#lblGrupo, #comboGrupo, #lblDashboard, #comboDashboard, #lblRefresh, #comboRefresh").fadeOut('fast');

			$("#grupo").append('<option value="0" selected="selected"></option>');
			
			$("#rdoVisivel3").attr("checked", true);
		}
		else if($("input[name='rdoDisponivel']:radio:checked").val() == '3') 
		{
			$("#lblRefresh, #comboRefresh").fadeOut('fast');
		}
		else
		{
			return false;
		}
	}
	else
	{
		return false;
	}
}
 
function init()
{
	// Definições das abas Master/Detail
	tabsInfo = $(".tabsDetail").children('ul').children();
	divsInfo = $(".tabsDetail").children('div');
	$(".abaTrocar").click(trocarAbaInfo);
	
	initAlterar();
}

$(document).ready(init);